<?php

namespace Responsive\Http\Controllers;

use Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Validator;

use File;
use Image;
use URL;
use Mail;

class DashboardController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $userid = Auth::user()->id;
		$editprofile = DB::select('select * from users where id = ?',[$userid]);
		
		
		$viewpost = DB::table('post')
		        ->where('post_type', '=' , 'comment')
				->where('post_user_id', '=' , $userid)
		        
				->count();
		
		$data = array('editprofile' => $editprofile, 'viewpost' => $viewpost);
		return view('dashboard')->with($data);
    }
	
	
	
	public function avigher_contact_vendor(Request $request)
	{
	
	    $data = $request->all();
		
		$name = $data['name'];
		
		$phone = $data['phone'];
		$msg = $data['msg'];
		
		$vendor_id = $data['vendor_id'];
		
		
		
		
		$setid=1;
		$setts = DB::table('settings')
		->where('id', '=', $setid)
		->get();
	
	   
	   $url = URL::to("/");
		
		$site_logo=$url.'/local/images/media/'.$setts[0]->site_logo;
		
		$site_name = $setts[0]->site_name;
		
		
		$seller_details = DB::table('users')
		 ->where('id', '=', $vendor_id)
		 ->get();
		
		
		$slug = $seller_details[0]->user_slug;
		
		$seller_email = $seller_details[0]->email;
		
		$user_email = $data['email'];
		
		$data = [
            'slug' => $slug, 'url' => $url, 'site_logo' => $site_logo, 'site_name' => $site_name, 'name' => $name, 'user_email' => $user_email, 'phone' => $phone, 'msg' => $msg, 'seller_email' => $seller_email
        ];
		
		
		 Mail::send('seller_contactmail', $data , function ($message) use ($user_email,$seller_email,$name)
        {
            $message->subject('Contact Vendor');
			
            $message->from($user_email, $name);

            $message->to($seller_email);

        });  
		
		
		
		return back()->with('success', 'Thank you for contact us');
		
		
		
		
		
	
	}
	
	
	
	
	
	
	
	public function mycomments()
    {
	$userid = Auth::user()->id;
	
	$viewpost = DB::table('post')
		        ->where('post_type', '=' , 'comment')
				->where('post_user_id', '=' , $userid)
		        
				->get();
				
	$postcount = DB::table('post')
		        ->where('post_type', '=' , 'comment')
				->where('post_user_id', '=' , $userid)
		        
				->count();			
				
	$data = array('viewpost' => $viewpost, 'postcount' => $postcount);
	return view('my-comments')->with($data);
	}
	
	
	public function mycomments_destroy($id) {
		
		
	   
	   DB::delete('delete from post where post_type="comment" and post_id = ?',[$id]);
     
	   
      return back();
      
   }
	
	
	
	
	
	
	
	public function avigher_logout()
	{
		Auth::logout();
       return back();
	}
	
	
	public function avigher_deleteaccount()
	{
		$userid = Auth::user()->id;
		
		
		
		
		
		
	  DB::delete('delete from post where post_type="comment" and post_user_id = ?',[$userid]);
	  
		
		
		DB::delete('delete from users where id!=1 and id = ?',[$userid]);
		return back();
	}
	
	
	public function clean($string) 
	{
    
     $string = preg_replace("/[^\p{L}\/_|+ -]/ui","",$string);

    
    $string = preg_replace("/[\/_|+ -]+/", '-', $string);

    
    $string =  trim($string,'-');

    return mb_strtolower($string);
	} 
	
	 protected function avigher_edituserdata(Request $request)
    {
       
		
		
		
		 $this->validate($request, [

        		'name' => 'required',

        		'email' => 'required|email'

        		
				
				

        	]);
         
		 $data = $request->all();
			
         $id=$data['id'];
        			
		$input['email'] = Input::get('email');
       
		$input['name'] = Input::get('name');
		
		
		$rules = array(
        
       
		
        'email'=>'required|email|unique:users,email,'.$id,
		'name' => 'required|regex:/^[\w-]*$/|max:255|unique:users,name,'.$id,
		'photo' => 'max:1024|mimes:jpg,jpeg,png',
		'phone' => 'required|max:255|unique:users,phone,'.$id
		
		
        );
		
		
		$messages = array(
            
            'email' => 'The :attribute field is already exists',
            'name' => 'The :attribute field must only be letters and numbers (no spaces)'
			
        );
		
		
		
		
		
		 $validator = Validator::make(Input::all(), $rules, $messages);

		

		if ($validator->fails())
		{
			 $failedRules = $validator->failed();
			 
			return back()->withErrors($validator);
		}
		else
		{ 
		  

		$name=$data['name'];
		$email=$data['email'];
		$password=bcrypt($data['password']);
		
		
		
		$phone=$data['phone'];
		
		
		$currentphoto=$data['currentphoto'];
		
		
		$image = Input::file('photo');
        if($image!="")
		{	
            $userphoto="/media/";
			$delpath = base_path('images'.$userphoto.$currentphoto);
			File::delete($delpath);	
			$filename  = time() . '210.' . $image->getClientOriginalExtension();
            
            $path = base_path('images'.$userphoto.$filename);
      
                Image::make($image->getRealPath())->resize(200, 200)->save($path);
				$savefname=$filename;
		}
        else
		{  
		    if($currentphoto=="")
			{
			$savefname = "";
			}
			else
			{
			$savefname=$currentphoto;
			}
		}
		
		
		
		
		
		
		$currentbanner=$data['currentbanner'];
		
		
		$profile_banner = Input::file('profile_banner');
        if($profile_banner!="")
		{	
            $userphoto="/media/";
			$delpath = base_path('images'.$userphoto.$currentbanner);
			File::delete($delpath);	
			$filenamey  = time() . '65.' . $profile_banner->getClientOriginalExtension();
            
            $pathy = base_path('images'.$userphoto.$filenamey);
      
                Image::make($profile_banner->getRealPath())->resize(1140, 370)->save($pathy);
				$savey=$filenamey;
		}
        else
		{
		    if($currentphoto=="")
			{
			$savey = "";
			}
			else
			{
		 
			$savey=$currentbanner;
			}
		}
		
		
		
		
		
		
		
					
		
		
		if($data['password']!="")
		{
			$passtxt=$password;
		}
		else
		{
			$passtxt=$data['savepassword'];
		}
		
		$admin=$data['usertype'];
		
		if($data['gender']!="")
		{
		    $gendor = $data['gender'];
		}
		else
		{
		   $gendor = $data['save_gender'];
		}
		
		
		if($data['country']!="")
		{
		   $country = $data['country'];
		}
		else
		{
		 $country = "";
		}
		
		if($data['address']!="")
		{
		  $address = $data['address'];
		}
		else
		{
		  $address = "";
		}
		
		if($data['about']!="")
		{
		   $about = $data['about'];
		}
		else
		{
		  $about = "";
		}
		
		
		
		
		DB::update('update post set post_email="'.$email.'" where post_type="comment" and post_user_id = ?', [$id]);
		
		
		
		DB::update('update users set name="'.$name.'",user_slug="'.$this->clean($name).'",email="'.$email.'",password="'.$passtxt.'",phone="'.$phone.'",gender="'.$gendor.'",photo="'.$savefname.'",admin="'.$admin.'",country="'.$country.'",address="'.$address.'",about="'.$about.'",profile_banner="'.$savey.'" where id = ?', [$id]);
		
		
		
			return back()->with('success', 'Account has been updated');
        }
		
		
		
		
    }
	
	
}
