<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/










Route::get('/', 'IndexController@avigher_index');
Route::get('/index', 'IndexController@avigher_index');
Route::post('/search', ['as'=>'index','uses'=>'IndexController@avigher_search']);
Route::get('/thankyou/{id}', 'IndexController@newsletter_activate');


/************* BLOG ***************/
Route::get('/blog', 'BlogController@avigher_index');
Route::get('/blog/{id}', 'BlogController@avigher_singlepost');
Route::post('/blog', ['as'=>'blog','uses'=>'BlogController@avigher_blog_comment']);




/************ END BLOG *************/


/********** NEWSLETTER **********/

Route::post('/newsletter', ['as'=>'newsletter','uses'=>'IndexController@avigher_subscribe']);


/********** END NEWSLETTER *******/









/************** TAGS ***************/

Route::get('/tag/{type}/{id}', 'TagController@avigher_tag');



/************* END TAGS ***************/

/* refund */

Route::post('/view-refund', ['as'=>'view-refund','uses'=>'ItemController@avigher_refund_data']);

/* refund */

/************** DASHBOARD **********/


Route::get('/logout', 'DashboardController@avigher_logout');
Route::get('/delete-account', 'DashboardController@avigher_deleteaccount');
Route::post('/dashboard', ['as'=>'dashboard','uses'=>'DashboardController@avigher_edituserdata']);

/*********** END DASHBOARD ************/






Route::get('/success/{cid}', 'SuccessController@avigher_showpage');
Route::get('/cancel', 'CancelController@avigher_showpage');


Route::get('/shop_success/{cid}', 'SuccessController@avigher_shop_success');





Auth::routes();

	
	Route::get('/about-us','PageController@avigher_about_us');
	
	Route::get('/page/{id}','PageController@avigher_viewpage');
	
	Route::get('/support','PageController@avigher_support');
	
	Route::get('/faq','PageController@avigher_faq');
	
	Route::get('/terms-of-use','PageController@avigher_terms');
	
	Route::get('/privacy-policy','PageController@avigher_privacy');
	
	
	
	Route::get('/404','PageController@avigher_404');
	
	
	/******** Forgot Password *********/
	
	
	Route::get('/forgot-password','ForgotpasswordController@avigher_forgot_view');
	Route::post('/forgot-password', ['as'=>'forgot-password','uses'=>'ForgotpasswordController@avigher_forgot_password']);
	
	
	/************* End Forgot Password **********/
	
	
	/************** Reset Password ***********/
	
	
	
	Route::get('/reset-password/{id}', 'ResetpasswordController@avigher_reset_view');
	
	Route::post('/reset-password', ['as'=>'reset-password','uses'=>'ResetpasswordController@avigher_reset_password']);
	/************** End Reset Password *************/
	
	
	
	
	Route::get('/contact-us','PageController@avigher_contact');
	
	Route::post('/contact-us', ['as'=>'contact-us','uses'=>'PageController@avigher_mailsend']);
	
	
	
	Route::post('/payment', ['as'=>'payment','uses'=>'PageController@avigher_donate_payment']);
	
	
	
	
	/* items */
	
	Route::get('/add-item','ItemController@view_add_item');
	Route::get('/my-items','ItemController@view_items');
	Route::post('/add-item', ['as'=>'add-item','uses'=>'ItemController@avigher_add_items']);
	
	Route::get('/edit-item/{token}','ItemController@view_edit_item');
	Route::get('/edit-item/{delete}/{id}/{photo}', 'ItemController@avigher_delete_photo');
	
	Route::get('/my-items/{token}','ItemController@delete_items');
	Route::get('/my-items/duplicate/{token}','ItemController@duplicate_items');
	
	Route::post('/edit-item', ['as'=>'edit-item','uses'=>'ItemController@avigher_edit_items']);
	
	Route::get('/all-items','IndexController@view_all_items');
	
	
	
	/* end items */
	
	
	/* my earning */
	
	Route::get('/my-earnings','EarningsController@view_earnings');
	Route::post('/my-earnings', ['as'=>'my-earnings','uses'=>'EarningsController@avigher_post_data']);
	/* my earning */
	
	
	
	
	/* my shopping */
	
	Route::get('/my-shopping','ItemController@view_shopping');
	Route::post('/my-shopping', ['as'=>'my-shopping','uses'=>'ItemController@avigher_review_data']);
	Route::get('/view-shopping-details/{ord_id}','ItemController@view_shopping_details');
	
	Route::get('/view-shopping-details/{item_id}/{ord_id}','ItemController@view_download_details');
	/* my shopping */


   /* my orders */
   
   Route::get('/my-orders','ItemController@view_orders');
   Route::get('/view-order-details/{ord_id}','ItemController@view_orders_details');
   /* my orders */
    
	
	
	/* user */
	
	Route::get('/user/{slug}','IndexController@view_user');
	
	Route::post('/user', ['as'=>'user','uses'=>'DashboardController@avigher_contact_vendor']);
	/* user */
	
	
	


    /* search item */
	
	Route::get('/search','IndexController@view_search');
	Route::get('/search/{list}','IndexController@view_list_search');
	Route::get('/search/{search}/{text}','IndexController@view_search_text');
	
	Route::get('/search/{search}/{category}/{tag}','IndexController@view_search_category');
	/* search item */
	



    /* featured item */
	Route::get('/featured/{token}','ItemController@view_featured');
	Route::post('/featured-payment', ['as'=>'featured-payment','uses'=>'ItemController@avigher_featured_payment']);
	Route::get('/feature_success/{token}','ItemController@featured_success');
	Route::post('/stripe_shop_success', ['as'=>'stripe_shop_success','uses'=>'StripeController@avigher_shop_stripe']);
	
	Route::post('/stripe_success', ['as'=>'stripe_success','uses'=>'StripeController@avigher_stripe']);
	
	Route::get('/featured-items','IndexController@view_all_featured_items');
	/* featured item */
	
	
	
	/* item */
	
	Route::get('/item/{id}/{slug}/{like}','ItemController@view_like_item');
	
	Route::get('/item/{id}/{slug}','IndexController@view_item');
	Route::post('/item', ['as'=>'item','uses'=>'ItemController@avigher_item_cart']);
	Route::get('/item/{val}', 'ItemController@get_support_price');
	
	Route::post('/support_item', ['as'=>'support_item','uses'=>'ItemController@avigher_support_item']);
	
	Route::post('/comment_item', ['as'=>'comment_item','uses'=>'ItemController@avigher_comment_item']);
	
	Route::post('/comment_item_reply', ['as'=>'comment_item_reply','uses'=>'ItemController@avigher_comment_reply']);
	/* item */


/* cart */

Route::get('/cart', 'ItemController@avigher_view_cart');
Route::get('/cart/{token}', 'ItemController@avigher_remove_cart');
/* cart */



/* checkout */

Route::get('/checkout', 'ItemController@avigher_view_checkout');
Route::post('/checkout', ['as'=>'checkout','uses'=>'ItemController@avigher_item_checkout']);


/* checkout */



/* Route::group(['namespace' => 'Admin', 'middleware' => 'admin'], function() {*/

Route::group(['middleware' => 'admin'], function() {

    Route::get('/admin','Admin\DashboardController@index');
    Route::get('/admin/index','Admin\DashboardController@index');
	
	/* user */
	Route::get('/admin/users','Admin\UsersController@index');
	Route::get('/admin/adduser','Admin\AdduserController@formview');
	Route::post('/admin/adduser', ['as'=>'admin.adduser','uses'=>'Admin\AdduserController@adduserdata']);
    
	Route::get('/admin/users/{id}','Admin\UsersController@destroy');
	Route::get('/admin/edituser/{id}','Admin\EdituserController@showform');
	Route::post('/admin/edituser', ['as'=>'admin.edituser','uses'=>'Admin\EdituserController@edituserdata']);
	Route::post('/admin/users', ['as'=>'admin.users','uses'=>'Admin\UsersController@delete_all']);
	/* end user */
	
	
	/* dispute refund */
	
	Route::get('/admin/refund','Admin\RefundController@index');
	Route::get('/admin/rating','Admin\RefundController@rating_index');
	Route::get('/admin/rating/{rate_id}','Admin\RefundController@rating_delete');
	/* end dispute refund */

	
	
	
	
	/* category */
	Route::get('/admin/category','Admin\CategoryController@index');
	Route::get('/admin/addcategory','Admin\AddcategoryController@formview');
	Route::post('/admin/addcategory', ['as'=>'admin.addcategory','uses'=>'Admin\AddcategoryController@addcategorydata']);
	Route::get('/admin/category/{id}','Admin\CategoryController@destroy');
	Route::get('/admin/editcategory/{id}','Admin\EditcategoryController@showform');
	Route::post('/admin/editcategory', ['as'=>'admin.editcategory','uses'=>'Admin\EditcategoryController@editcategorydata']);
	Route::post('/admin/category', ['as'=>'admin.category','uses'=>'Admin\CategoryController@delete_all']);
	/* end category */
	
	
	/* sub category */
	
	Route::get('/admin/subcategory','Admin\SubcategoryController@index');
	Route::get('/admin/addsubcategory','Admin\AddsubcategoryController@formview');
	Route::get('/admin/addsubcategory','Admin\AddsubcategoryController@getcategory');
	Route::post('/admin/addsubcategory', ['as'=>'admin.addsubcategory','uses'=>'Admin\AddsubcategoryController@addsubcategorydata']);
	Route::get('/admin/subcategory/{id}','Admin\SubcategoryController@destroy');
	
	
	
	Route::get('/admin/editsubcategory/{id}','Admin\EditsubcategoryController@edit');
	
	Route::post('/admin/editsubcategory', ['as'=>'admin.editsubcategory','uses'=>'Admin\EditsubcategoryController@editsubcategorydata']);
	Route::post('/admin/subcategory', ['as'=>'admin.subcategory','uses'=>'Admin\SubcategoryController@delete_all']);
	/* end sub category */
	
	
	
	
	
	
	/* Newletter */
	Route::get('/admin/newsletter','Admin\NewsletterController@index');
	Route::get('/admin/newsletter/{action}/{id}/{sid}','Admin\NewsletterController@status');
	Route::get('/admin/newsletter/{id}','Admin\NewsletterController@destroy');
	Route::get('/admin/sendupdates','Admin\AddnewsletterController@formview');
	Route::post('/admin/sendupdates', ['as'=>'admin.sendupdates','uses'=>'Admin\AddnewsletterController@addupdatedata']);
	Route::post('/admin/newsletter', ['as'=>'admin.newsletter','uses'=>'Admin\NewsletterController@delete_all']);
	
	/* End Newsletter */
	
	
	
	
	
	
	/* Testimonials */
	
	Route::get('/admin/testimonials','Admin\TestimonialsController@index');
	Route::get('/admin/add-testimonial','Admin\AddtestimonialController@formview');
	Route::post('/admin/add-testimonial', ['as'=>'admin.add-testimonial','uses'=>'Admin\AddtestimonialController@addtestimonialdata']);
	Route::get('/admin/testimonials/{id}','Admin\TestimonialsController@destroy');
	Route::get('/admin/edit-testimonial/{id}','Admin\EdittestimonialController@showform');
	Route::post('/admin/edit-testimonial', ['as'=>'admin.edit-testimonial','uses'=>'Admin\EdittestimonialController@testimonialdata']);
	
	
	/* end Testimonials */
	
	
	
	
	/* Blogs */
	
	Route::get('/admin/blog','Admin\BlogController@index');
	Route::get('/admin/add-blog','Admin\AddblogController@formview');
	Route::post('/admin/add-blog', ['as'=>'admin.add-blog','uses'=>'Admin\AddblogController@addblogdata']);
	Route::get('/admin/blog/{id}','Admin\BlogController@destroy');
	Route::get('/admin/edit-blog/{id}','Admin\EditblogController@showform');
	Route::post('/admin/edit-blog', ['as'=>'admin.edit-blog','uses'=>'Admin\EditblogController@blogdata']);
	Route::post('/admin/blog', ['as'=>'admin.blog','uses'=>'Admin\BlogController@delete_all']);
	
	Route::get('/admin/comment/{blog}/{comment}/{id}','Admin\BlogController@view_comment');
	Route::get('/admin/comment/{pid}/{sid}','Admin\BlogController@status_comment');
	Route::get('/admin/comment/{id}','Admin\BlogController@comment_destroy');
	/* end Blogs */
	
	
	
	
	
	
	
	/* withdraw */
	Route::get('/admin/withdraw','Admin\WithdrawController@avigher_withdraw');
	Route::get('/admin/withdraw/{id}','Admin\WithdrawController@avigher_pending_withdraw_data');
	
	/* withdraw */
	
	
	
	
	
	/* order details */
	Route::get('/admin/orders','Admin\OrdersController@index');
	Route::get('/admin/order_details/{ord_id}','Admin\OrdersController@view_orders');
	Route::get('/admin/orders/{ord_id}','Admin\OrdersController@payment_approval');
	
	
	/* order details */
	
	
	
	/* product refund */
	
	Route::get('/admin/refund/{dispute_id}/{order_id}/{purchase_token}/{admin_commission}/{vendor_commission}','Admin\OrdersController@orders_refund');
	
	Route::get('/admin/refund/{dispute_id}/{order_id}/{purchase_token}/{buyer_amount}','Admin\OrdersController@orders_buyer_refund');
	/* product refund */
	
	
	
	/* pages */
	
	Route::get('/admin/pages','Admin\PagesController@index');
	Route::get('/admin/edit-page/{id}','Admin\PagesController@showform');
	Route::post('/admin/edit-page', ['as'=>'admin.edit-page','uses'=>'Admin\PagesController@pagedata']);
	Route::post('/admin/pages', ['as'=>'admin.pages','uses'=>'Admin\PagesController@delete_all']);
	Route::get('/admin/pages/{id}','Admin\PagesController@deleted');
	
	Route::get('/admin/add-page','Admin\PagesController@formview');
	Route::post('/admin/add-page', ['as'=>'admin.add-page','uses'=>'Admin\PagesController@addpagedata']);
	/* end pages */
	
	
	/* promo boxes */
	
	
	Route::get('/admin/promo','Admin\PromoController@index');
	Route::post('/admin/promo', ['as'=>'admin.promo','uses'=>'Admin\PromoController@promodata']);
	
	/* promo boxes */
	
	
	
	
	
	
	/* products */
	
	Route::get('/admin/products','Admin\ProductsController@avigher_technologies_index');
	Route::post('/admin/products', ['as'=>'admin.products','uses'=>'Admin\ProductsController@delete_all']);
	Route::get('/admin/product_more/{token}','Admin\ProductsController@avigher_technologies_single');
	Route::get('/admin/products/{token}','Admin\ProductsController@deleted');
	
	Route::get('/admin/products/{token}/{sid}/{id}/{user_id}','Admin\ProductsController@status');
	
	/*Route::get('/admin/edit-page/{id}','Admin\PagesController@showform');
	Route::post('/admin/edit-page', ['as'=>'admin.edit-page','uses'=>'Admin\PagesController@pagedata']);
	Route::post('/admin/pages', ['as'=>'admin.pages','uses'=>'Admin\PagesController@delete_all']);
	Route::get('/admin/pages/{id}','Admin\PagesController@deleted');
	
	Route::get('/admin/add-page','Admin\PagesController@formview');
	Route::post('/admin/add-page', ['as'=>'admin.add-page','uses'=>'Admin\PagesController@addpagedata']);*/
	/* end products */
	
	
	
	
	
	
	/* start settings */
	
	
	Route::get('/admin/settings','Admin\SettingsController@showform');
	Route::post('/admin/settings', ['as'=>'admin.settings','uses'=>'Admin\SettingsController@editsettings']);
	
	/* end settings */
	
	
	/* media settings */
	
	Route::get('/admin/media-settings','Admin\MediasettingsController@showform');
	Route::post('/admin/media-settings', ['as'=>'admin.media-settings','uses'=>'Admin\MediasettingsController@editsettings']);
	
	
	
	
	/* end media settings */
	
	
	/* payment settings */
	Route::post('/admin/payment-settings', ['as'=>'admin.payment-settings','uses'=>'Admin\PaymentsettingsController@editsettings']);
	Route::get('/admin/payment-settings','Admin\PaymentsettingsController@showform');
	
	/* end payment settings */
	
	
	
	
	
	/* color settings */
	
	Route::get('/admin/color-settings','Admin\ColorsettingsController@showform');
	Route::post('/admin/color-settings', ['as'=>'admin.color-settings','uses'=>'Admin\ColorsettingsController@editsettings']);
	
	/* end color settings */
	
	
	
	
	
	
	
	
	
	
	
	
	
   
});


Route::group(['middleware' => 'web'], function (){
    
    Route::get('/dashboard', 'DashboardController@index');
    Route::get('/my-comments', 'DashboardController@mycomments');
	Route::get('/my-comments/{id}', 'DashboardController@mycomments_destroy');

});




